Bug 11005 - newer versions of pam will not rebuild on rh5x
newer versions of pam will not rebuild on rh5x
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: pam (Show other bugs)
1.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Cristian Gafton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-23 15:40 EDT by Pekka Savola
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-15 09:01:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2000-04-23 15:40:09 EDT
None of the pam versions released since redhat-5.2 (6.0, 6.1, 6.2, Rawhide)
will rebuild on my heavily upgraded glibc20 rh51 system.

Required: packages by the most currect spec file:
cracklib-2.7-6
cracklib-dicts-2.7-6
pwdb-0.54-8
initscripts-5.09-1

Rebuilding 0.72-7 dies at:
-----
mkdir -p ./dynamic
gcc  -DPAM_READ_BOTH_CONFS -D_GNU_SOURCE -DLINUX_PAM -Wall -Wpointer-arith
-Wcast-qual -Wcast-align -Wtraditional -Wstrict-prototypes
-Wmissing-prototypes -Wnested-externs -Winline -Wshadow -fPIC -Dlinux
-DPAM_DYNAMIC   -c pam_stack.c -o dynamic/pam_stack.o
pam_stack.c:47: `PAM_FAIL_DELAY' undeclared here (not in a function)
pam_stack.c:47: initializer element for `defined_items[7].num' is not
constant
pam_stack.c: In function `_pam_stack_dispatch':
pam_stack.c:103: warning: implicit declaration of function `syslog'
pam_stack.c:103: `LOG_WARNING' undeclared (first use this function)
pam_stack.c:103: (Each undeclared identifier is reported only once
pam_stack.c:103: for each function it appears in.)
pam_stack.c:108: warning: function `syslog' was previously declared within
a block
pam_stack.c:108: `LOG_DEBUG' undeclared (first use this function)
pam_stack.c:121: warning: implicit declaration of function `strncmp'
pam_stack.c:126: warning: implicit declaration of function `free'
pam_stack.c:140: warning: implicit declaration of function `calloc'
pam_stack.c:140: warning: assignment makes pointer from integer without a
cast
pam_stack.c:213: warning: function `free' was previously declared within a
block
pam_stack.c:215: warning: function `free' was previously declared within a
block
make[2]: *** [dynamic/pam_stack.o] Error 1
----
[ plus a few other warnings/errors ]
Comment 1 Nalin Dahyabhai 2000-05-15 09:01:59 EDT
This will be resolved in pam-0.72-9 in the next Raw Hide snapshot
(ftp://ftp.redhat.com/pub/rawhide/SRPMS/SRPMS/).

Note You need to log in before you can comment on or make changes to this bug.